/*
 * This file was written by Milan Straka as a part of iqc library.
 * Copyright (C) 2008 Milan Straka.
 * 
 * This program is free software: you can redistribute it and/or 
 * modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either 
 * version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General 
 * Public License along with this program.  If not, see 
 * <http://www.gnu.org/licenses/>.
 */

#ifndef LIBICQ_OPER_BASIC_MILAN_STRAKA_2008
#define LIBICQ_OPER_BASIC_MILAN_STRAKA_2008

#include "common.h"

void iqc_identity_basic(iqc_t x);
void iqc_invert_basic(iqc_t x, iqc_t a);
void iqc_reduce_basic(iqc_t x, iqc_t a);
void iqc_mul_basic(iqc_t x, iqc_t a, iqc_t b);
void iqc_sqr_basic(iqc_t x, iqc_t a);

void iqc_reduce_lowlevel(iqc_t x, mpz_t a, mpz_t b, mpz_t c);

#endif
