/*
 * This file was written by Milan Straka as a part of iqc library.
 * Copyright (C) 2008 Milan Straka.
 * 
 * This program is free software: you can redistribute it and/or 
 * modify it under the terms of the GNU Lesser General Public 
 * License as published by the Free Software Foundation, either 
 * version 3 of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General 
 * Public License along with this program.  If not, see 
 * <http://www.gnu.org/licenses/>.
 */

#ifndef LIBIQC_TESTS_TIMING_MILAN_STRAKA_2008
#define LIBIQC_TESTS_TIMING_MILAN_STRAKA_2008

#include <time.h>

#define STOPWATCH_START     { clock_t stopwatch_start = clock
#define STOPWATCH_STOP(str)   clock_t stopwatch_dur = (clock() - stopwatch_start)*1000/CLOCKS_PER_SEC; \
  printf(str ": %ld.%02ld\n", stopwatch_dur/1000, (stopwatch_dur/10)%100); }

#endif
